aboutsummaryrefslogtreecommitdiffstats
path: root/core/parted/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-02 13:22:35 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-02 13:22:35 +0000
commit58140133580cd489ac66286fc8c3290b7ca9b711 (patch)
tree95113a4c3062728dd1c02835128b57044cf6fe40 /core/parted/APKBUILD
parent9bd545a8bc9bfa7d6ad399abe8fc55b424510ef7 (diff)
downloadaports-58140133580cd489ac66286fc8c3290b7ca9b711.tar.gz
aports-58140133580cd489ac66286fc8c3290b7ca9b711.tar.bz2
aports-58140133580cd489ac66286fc8c3290b7ca9b711.tar.xz
core/parted: disable useless check for C++
Diffstat (limited to 'core/parted/APKBUILD')
-rw-r--r--core/parted/APKBUILD8
1 files changed, 6 insertions, 2 deletions
diff --git a/core/parted/APKBUILD b/core/parted/APKBUILD
index 03111a0c11..dd1f2c967b 100644
--- a/core/parted/APKBUILD
+++ b/core/parted/APKBUILD
@@ -8,15 +8,19 @@ license="GPL3"
subpackages="$pkgname-dev $pkgname-doc"
depends="libuuid uclibc readline ncurses"
makedepends="pkgconfig e2fsprogs-dev uclibc readline-dev ncurses-dev"
-source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz"
+source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz
+ nocxx.patch"
build ()
{
cd "$srcdir"/$pkgname-$pkgver
+ patch configure < ../nocxx.patch || return 1
+
./configure --prefix=/usr \
--disable-debug \
--disable-Werror
make || return 1
make DESTDIR="$pkgdir" install
}
-md5sums="0d494591731082ec57cc18627728124a parted-1.8.8.tar.gz"
+md5sums="0d494591731082ec57cc18627728124a parted-1.8.8.tar.gz
+28513788ba4d556ccd538867dc6205ab nocxx.patch"